
body {
  font-family: 'Roboto', sans-serif;
  color: #333;
  height: 100vh;
}

.aa-nav.closed {
  max-width: 72px;
}

.aa-nav.closed .aa-close-nav-btn {
  display: none;
}

.aa-nav.closed .aa-chevron {
  display: none;
}

.aa-nav.closed .aa-menu-group.open .aa-menu-label {
  border-bottom-right-radius: 0px;
}
.aa-nav.closed .aa-menu-body {
  position: absolute;
  background-color: #eff6ff;
  margin-left: 61px;
  left: 0;
  right: 0;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

.aa-menu-body {
  max-height: 0;
  overflow: hidden;
}

.aa-menu-group.open .aa-menu-body {
  max-height: 500px;
}

/* 
blue-50: eff6ff
blue-100: dbeafe
blue-500: 3b82f6
*/
.aa-home-btn:hover,
.aa-menu-group.open .aa-menu-label,
.aa-menu-label:hover,
.aa-menu-group.open,
.aa-menu-group.open .aa-menu-label:hover,
.aa-menu-label.active:hover {
  background-color: #eff6ff;
}

/* 
.aa-menu-group.open .aa-chevron {
  transform: rotate(0);
} */

/* .aa-nav.closed summary h3 {
  display: none;
} */
/*
.aa-nav.closed summary .group-open\:h3 {
  display: inline-block;
} */

.active {
  position: relative;
  /* background-color: #eff6ff; */
  background-color: #dbeafe;
}

.aa-menu-body-item.active {
  background-color: #dbeafe;
}

.aa-menu-group:not(.open) .active:before,
.aa-menu-group.open .aa-menu-body .aa-menu-body-item.active:before {
  content: "";
  height: 70%;
  width: 6px;
  background-color: #3b82f6;
  position: absolute;
  left: 0;
  top: 15%;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
}

.aa-nav.closed .aa-menu-group.open {
  width: 300px;
  position: relative;
}
.aa-nav:not(.closed) .aa-menu-body {
  transition: all 0.3s ease-in-out;
}

.aa-menu-body .aa-menu-body-item {
  padding-left: 52px;
}

.aa-nav.closed .aa-menu-body .aa-menu-body-item {
  padding-left: 24px;
}

.aa-nav.closed .aa-menu-group:not(.open) .aa-menu-label h3,
.aa-nav.closed .aa-menu-group.aa-home-btn h3 {
  display: none;
}
.aa-nav.closed .aa-menu-group:not(.open) .aa-menu-label,
.aa-nav.closed .aa-menu-group.aa-home-btn {
  max-width: 55px;
}

.aa-nav.closed .aa-group-label {
  display: none;
}

.aa-nav.closed .nav-closed-hide {
  display: none;
}

.aa-nav:not(.closed) .aa-menu-closed-separater {
  display: none;
 }

.aa-menu-closed-separater {
  border-top: 1px solid #ddd;
}

.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  background-color: rgba(97, 97, 97, .7);
  display: none;
  color: #fff;
  text-align: center;
  border-radius: 4px;
  padding: 8px 10px;
  position: absolute;
  z-index: 1;
  right: 0;
  top: 50%;
  left: 56px;
  transform: translateY(-50%);
  width: max-content;
  font-weight: normal;
}

.aa-nav.closed .aa-menu-group:not(.open) .tooltip:hover .tooltiptext {
  display: inline-block;
}

.aa-nav.closed .aa-home-btn {

}

.aa-nav.closed .aa-menu-label h3 {
  padding-left: 33px;
  font-weight: 500;
  /* font-size: 20px; */
}

.aa-menu-group.open .aa-menu-label h3 {
}

.aa-menu-group.open .aa-menu-body {
  border-top: 1px solid #dbeafe;
}

.aa-menu-group.open .aa-menu-label {
  border-bottom-right-radius: 0px;
}

.aa-nav:not(.closed) .aa-menu-group.open .aa-menu-label {
  border-bottom-left-radius: 0px;
}
